> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the effective configuration for model deployments using the resource configuration

> Gets the effective configuration for model deployments using the resource configuration.



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations/{resourceConfigurationId}/effectiveModelDeploymentSchema
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations/{resourceConfigurationId}/effectiveModelDeploymentSchema:
    get:
      tags:
        - DeploymentTargets
      summary: >-
        Gets the effective configuration for model deployments using the
        resource configuration
      description: >-
        Gets the effective configuration for model deployments using the
        resource configuration.
      operationId: getEffectiveModelDeploymentSchema
      parameters:
        - description: ID of Deployment Target the Resource Configuration belongs to
          in: path
          name: deploymentTargetId
          required: true
          schema:
            type: string
        - description: ID of Resource Configuration
          in: path
          name: resourceConfigurationId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EffectiveModelDeploymentSchema'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    EffectiveModelDeploymentSchema:
      description: Effective Model Deployment Schema
      properties:
        dataPlaneId:
          description: ID of the data plane where the operator is deployed
          type: string
        deploymentTargetConfiguration:
          $ref: '#/components/schemas/DeploymentTargetConfiguration'
        deploymentTargetLastModified:
          description: >-
            Timestamp of the last update to the deployment target (will be the
            creation timestamp on creation)
          format: date-time
          type: string
        deploymentTargetTypeId:
          description: UUID for the Deployment Target Type
          type: string
        deploymentTargetTypeName:
          description: Internal name for the Deployment Target Type
          example: aws
          type: string
        deploymentTargetTypeOperatorVersion:
          description: Version of the operator
          example: 1.0.2
          type: string
        modelDeploymentConfigurationSchemas:
          $ref: '#/components/schemas/SharedAndModelSpecificSchemas'
        modelDeploymentCustomResourceDefinition:
          $ref: '#/components/schemas/DeploymentCustomResourceDefinition'
        modelDeploymentStateSchemas:
          $ref: '#/components/schemas/SharedAndModelSpecificSchemas'
        modelDeploymentSupportedModelSources:
          description: Model sources supported by Domino
          items:
            $ref: '#/components/schemas/ModelSource'
          type: array
        modelDeploymentTypeConfigurationSchemas:
          $ref: '#/components/schemas/DeploymentTypeSpecificSchemas'
        modelDeploymentTypeStateSchemas:
          $ref: '#/components/schemas/DeploymentTypeSpecificSchemas'
        resourceConfigurationLastModified:
          description: >-
            Timestamp of the last update to the resource configuration (will be
            the creation timestamp on creation)
          format: date-time
          type: string
      required:
        - deploymentTargetTypeId
        - deploymentTargetTypeName
        - deploymentTargetTypeOperatorVersion
        - dataPlaneId
        - deploymentTargetConfiguration
        - deploymentTargetLastModified
        - resourceConfigurationLastModified
        - modelDeploymentSupportedModelSources
        - modelDeploymentCustomResourceDefinition
        - modelDeploymentConfigurationSchemas
        - modelDeploymentTypeConfigurationSchemas
        - modelDeploymentStateSchemas
        - modelDeploymentTypeStateSchemas
      type: object
    DeploymentTargetConfiguration:
      description: >-
        The Deployment Target configuration values for the Deployment Target and
        Resource Configuration
      properties:
        resourceConfig:
          type: object
        targetConfig:
          type: object
      required:
        - targetConfig
        - resourceConfig
      type: object
    SharedAndModelSpecificSchemas:
      description: Shared and Model Specific configs.
      properties:
        modelSpecificSchema:
          $ref: '#/components/schemas/JSONSchema'
        sharedSchema:
          $ref: '#/components/schemas/JSONSchema'
      required:
        - sharedSchema
        - modelSpecificSchema
      type: object
    DeploymentCustomResourceDefinition:
      description: Custom Resource Definition for Model Deployment
      properties:
        group:
          description: The group of the Custom Resource Definition
          type: string
        kind:
          description: The kind of the Custom Resource Definition
          type: string
        version:
          description: The version of the Custom Resource Definition
          type: string
      required:
        - group
        - kind
        - version
      type: object
    ModelSource:
      enum:
        - MODELREGISTRY
      type: string
    DeploymentTypeSpecificSchemas:
      additionalProperties:
        $ref: '#/components/schemas/SharedAndModelSpecificSchemas'
      description: >-
        The supported deployment types.  There must be one property present for
        each deployment type.
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    JSONSchema:
      description: Core schema meta-schema
      properties:
        additionalProperties:
          $ref: '#/components/schemas/JSONSchema'
        default: {}
        description:
          type: string
        enum:
          items: {}
          minItems: 1
          type: array
          uniqueItems: true
        format:
          description: Superset of valid JSON Schema and OpenAPI formats.
          enum:
            - date-time
            - time
            - date
            - duration
            - email
            - idn-email
            - hostname
            - idn-hostname
            - ipv4
            - ipv6
            - uuid
            - uri
            - uri-reference
            - iri
            - iri-reference
            - uri-template
            - json-pointer
            - relative-json-pointer
            - regex
            - float
            - double
            - int32
            - int64
            - password
            - byte
            - binary
            - multiline
            - password-multiline
          type: string
        id:
          type: string
        items:
          $ref: '#/components/schemas/JSONSchema'
        maxItems:
          $ref: '#/components/schemas/PositiveInteger'
        maxLength:
          $ref: '#/components/schemas/PositiveInteger'
        maxProperties:
          $ref: '#/components/schemas/PositiveInteger'
        maximum:
          type: number
        minItems:
          $ref: '#/components/schemas/PositiveIntegerDefault0'
        minLength:
          $ref: '#/components/schemas/PositiveIntegerDefault0'
        minProperties:
          $ref: '#/components/schemas/PositiveIntegerDefault0'
        minimum:
          type: number
        pattern:
          format: regex
          type: string
        properties:
          additionalProperties:
            $ref: '#/components/schemas/JSONSchema'
          default: {}
          type: object
        required:
          $ref: '#/components/schemas/StringArray'
        title:
          type: string
        type:
          $ref: '#/components/schemas/JSONSchemaType'
        uniqueItems:
          default: false
          type: boolean
      type: object
    PositiveInteger:
      minimum: 0
      type: integer
    PositiveIntegerDefault0:
      default: 0
      minimum: 0
      type: integer
    StringArray:
      items:
        type: string
      minItems: 1
      type: array
      uniqueItems: true
    JSONSchemaType:
      enum:
        - array
        - boolean
        - integer
        - 'null'
        - number
        - object
        - string
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````